Summary:	Instrument Neutral Distributed Interface
Summary(pl.UTF-8):	Instrument Neutral Distributed Interface - interfejs do sterowania przyrządami
Name:		libindi
Version:	0.9.7
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/indi/%{name}_%{version}.tar.gz
# Source0-md5:	3e457c4226d7a445a0d89c044cced6b7
Patch0:		%{name}-build.patch
URL:		http://www.indilib.org/
BuildRequires:	cfitsio-devel >= 3.03
BuildRequires:	cmake >= 2.8.0
# not actually used now
#BuildRequires:	libfli-devel >= 1.7
BuildRequires:	libnova-devel >= 0.12.2
BuildRequires:	libusb-compat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.603
BuildRequires:	zlib-devel
Requires:	cfitsio >= 3.03
Requires:	libnova >= 0.12.2
Obsoletes:	indilib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# these libs rely on symbols in drivers/binaries
%define		skip_post_check_so	libindidriver.so.* libindimain.so.*

%description
INDI is a distributed control protocol designed to operate
astronomical instrumentation. INDI is small, flexible, easy to parse,
and scalable. It supports common DCS functions such as remote control,
data acquisition, monitoring, and a lot more.

With INDI, you have a total transparent control over your instruments
so you can get more science with less time.

%description -l pl.UTF-8
INDI to rozproszony protokół sterujący zaprojektowany do operowania
przyrządami astronomicznymi. Jest mały, elastyczny, łatwy do
analizowania i skalowalny. Obsługuje popularne funkcje DCS, takie jak
zdalne sterowanie, zbieranie danych, monitorowanie i inne.

INDO zapewnia całkowicie przezroczyste sterowanie przyrządami,
pozostawiając więcej czasu na cele naukowe.

%package devel
Summary:	Header files for INDI libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek INDI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	indilib-devel
Obsoletes:	libindi-static

%description devel
Header files for INDI libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek INDI.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake \
%if "%{_lib}" == "lib64"
	-DLIB_POSTFIX=64 \
%endif
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%attr(755,root,root) %{_bindir}/indi_celestron_gps
%attr(755,root,root) %{_bindir}/indi_eval
%attr(755,root,root) %{_bindir}/indi_getprop
%attr(755,root,root) %{_bindir}/indi_gpusb
%attr(755,root,root) %{_bindir}/indi_ieq45_8406
%attr(755,root,root) %{_bindir}/indi_ieq45_8407
%attr(755,root,root) %{_bindir}/indi_intelliscope
%attr(755,root,root) %{_bindir}/indi_joystick
%attr(755,root,root) %{_bindir}/indi_lx200_16
%attr(755,root,root) %{_bindir}/indi_lx200ap
%attr(755,root,root) %{_bindir}/indi_lx200autostar
%attr(755,root,root) %{_bindir}/indi_lx200basic
%attr(755,root,root) %{_bindir}/indi_lx200classic
%attr(755,root,root) %{_bindir}/indi_lx200fs2
%attr(755,root,root) %{_bindir}/indi_lx200generic
%attr(755,root,root) %{_bindir}/indi_lx200genericlegacy
%attr(755,root,root) %{_bindir}/indi_lx200gps
%attr(755,root,root) %{_bindir}/indi_magellan1
%attr(755,root,root) %{_bindir}/indi_meade_lpi
%attr(755,root,root) %{_bindir}/indi_robo_focus
%attr(755,root,root) %{_bindir}/indi_sbig_stv
%attr(755,root,root) %{_bindir}/indi_setprop
%attr(755,root,root) %{_bindir}/indi_simulator_ccd
%attr(755,root,root) %{_bindir}/indi_simulator_focus
%attr(755,root,root) %{_bindir}/indi_simulator_telescope
%attr(755,root,root) %{_bindir}/indi_simulator_wheel
%attr(755,root,root) %{_bindir}/indi_skycommander
%attr(755,root,root) %{_bindir}/indi_synscan
%attr(755,root,root) %{_bindir}/indi_tcfs_focus
%attr(755,root,root) %{_bindir}/indi_tcfs3_focus
%attr(755,root,root) %{_bindir}/indi_temma
%attr(755,root,root) %{_bindir}/indi_trutech_wheel
%attr(755,root,root) %{_bindir}/indi_v4l_generic
%attr(755,root,root) %{_bindir}/indi_v4l_philips
%attr(755,root,root) %{_bindir}/indiserver
%attr(755,root,root) %{_libdir}/libindi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libindi.so.0
%attr(755,root,root) %{_libdir}/libindidriver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libindidriver.so.0
%attr(755,root,root) %{_libdir}/libindimain.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libindimain.so.0
%dir %{_datadir}/indi
%{_datadir}/indi/drivers.xml
%{_datadir}/indi/indi_tcfs_sk.xml
/lib/udev/rules.d/99-gpusb.rules

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libindi.so
%attr(755,root,root) %{_libdir}/libindidriver.so
%attr(755,root,root) %{_libdir}/libindimain.so
%{_libdir}/libindiclient.a
%{_includedir}/libindi
%{_pkgconfigdir}/libindi.pc
%changelog
* Fri Nov 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libindi.git;a=log;h=master

* Thu Nov 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 05273b5
- updated to 0.9.7
- updated build patch

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d71591
- release 3

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c99c3c5
- rel 2; fix install on lib64 arch

* Mon Aug 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 27eb31b
- updated to 1.8
- pl

* Thu Mar 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 20cf7d0
- rel 2; undos patched file

* Mon Feb 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 857d362
- up to 0.7.2

* Thu Jun 03 2010 sparky <sparky@pld-linux.org> 30e0e54
- fixed .pc file placement on 64bit archs
- BR: pkgconfig
- dropped BR: libusb-compat-devel

* Fri May 28 2010 shadzik <shadzik@pld-linux.org> 9c960de
- 0.6.1

* Fri May 28 2010 shadzik <shadzik@pld-linux.org> 43b8b7e
- URL in proper place

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d008e36
- drop obsolete files

* Mon Mar 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ebfea6c
- release 3

* Fri Feb 06 2009 hawk <hawk@pld-linux.org> d235f10
- O: indilib

* Fri Feb 06 2009 hawk <hawk@pld-linux.org> 9093fed
- fixed x86_64 build

* Mon Jan 05 2009 Elan Ruusamäe <glen@pld-linux.org> f09c4fa
- update to 0.6, rename to libindi

* Mon Jan 05 2009 Elan Ruusamäe <glen@pld-linux.org> 53a5a60
- release 3

* Sun Jul 27 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> ebe94b1
- added -gcc-4.3.patch to proper build with newer gcc

* Sun Jul 27 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> d3f0a22
- new

* Sat Jul 26 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> a55d45c
- attr 755 for .so

* Sat Jul 26 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 67addf2
- initial spec

